Narcoleptic Possum Mob

    parcel-validator-stylelint

    1.0.1 • Public • Published

    parcel-validator-stylelint

    A Parcel 2 validator plugin for Stylelint.

    Usage

    1. Install the plugin package (parcel-validator-stylelint)
    2. Add enable this plugin in your .parcelrc (if you didn't have a .parcelrc, also install @parcel/config-default):
    {
      "extends": "@parcel/config-default",
      "validators": {
        "*.css": ["parcel-validator-stylelint"]
      }
    }

    Known issues

    Warning highlight locations

    Stylelint doesn't provide any information on where the broken places stop, so this plugin simply assumes that it's the end of the line. Sometimes it's not, but that's the best I can do without doing any additional CSS parsing.

    @parcel/ package scope

    Having this package under the @parcel/ package scope would require incorporating it into Parcel's repository, and I don't want to do that yet.

    Install

    npm i parcel-validator-stylelint

    DownloadsWeekly Downloads

    1

    Version

    1.0.1

    License

    GPL-3.0-or-later

    Unpacked Size

    40.3 kB

    Total Files

    6

    Last publish

    Collaborators

    • overlisted